Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Interface FileSetCheck

All Superinterfaces:
  Configurable, Contextualizable

All Known Implementing Classes:
  AbstractFileSetCheck

public interface FileSetCheck
extends Configurable, Contextualizable

Interface for Checking a set of files for some criteria.

Author:
  lkuehne

Method Summary
`void` | `destroy()` Cleans up the object.
`void` | `process(java.io.File[] aFiles)` Processes a set of files and fires errors to the MessageDispatcher.
`void` | `setMessageDispatcher(MessageDispatcher aDispatcher)` Sets the MessageDispatcher that is used to dispatch error messages to AuditListeners during processing.

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Method Detail

### setMessageDispatcher

    public void setMessageDispatcher(MessageDispatcher aDispatcher)

  Sets the MessageDispatcher that is used to dispatch error messages to AuditListeners during processing.

  Parameters:
    `aDispatcher` - the dispatcher

### process

    public void process(java.io.File[] aFiles)

  Processes a set of files and fires errors to the MessageDispatcher. The file set to process might contain files that are not interesting to the FileSetCheck. Such files should be ignored, no error message should be fired for them. For example a FileSetCheck that checks java files should ignore html or properties files. Once processiong is done, it is highly recommended to call for the destroy method to close and remove the listeners.

  Parameters:
    `aFiles` - the files to be audited.
  See Also:
    `destroy()`

### destroy

    public void destroy()

  Cleans up the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD